Package edu.msu.cme.rdp.classifier.train

# Class Taxonomy

java.lang.Object
edu.msu.cme.rdp.classifier.train.Taxonomy

public class Taxonomy extends Object
A Taxonomy holds the raw taxon information.

## Constructor Summary

Constructors
Constructor
Description
`Taxonomy(int id, String name, int pid, int d, String level)`
Creates a new instance of Taxonomy

## Method Summary

Modifier and Type
Method
Description
`void`
`changeRank(String s)`
`int`
`getDepth()`
Returns the depth of the current taxon from root taxon.
`String`
`getHierLevel()`
Returns the hierarchy rank level.
`int`
`getParentID()`
Returns the taxID of the parent taxon.
`int`
`getTaxID()`
Returns the taxID.
`String`
`getTaxName()`
Returns the taxon name.
`void`
`setDepth(int d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Taxonomy

public Taxonomy(int id, String name, int pid, int d, String level)
Creates a new instance of Taxonomy

## Method Details

### getTaxID

public int getTaxID()
Returns the taxID.

### getTaxName

public String getTaxName()
Returns the taxon name.

### getParentID

public int getParentID()
Returns the taxID of the parent taxon.

### getDepth

public int getDepth()
Returns the depth of the current taxon from root taxon.

### getHierLevel

public String getHierLevel()
Returns the hierarchy rank level.

### setDepth

public void setDepth(int d)

### changeRank

public void changeRank(String s)